package hSPEA2;

import java.util.ArrayList;

import org.apache.commons.math3.distribution.LogNormalDistribution;

public class Duration {
	
	double mean;
	double std;
	ArrayList<Double> sample_duration;
	LogNormalDistribution lognorm;
	
	public Duration(double m, double cv){
		mean = m;
		std = cv*m;
		lognorm = new LogNormalDistribution(mean, std); 
		sample_duration = new ArrayList<Double>();
	}
	
	public double random_sample(){
		return lognorm.sample();
	}
	
	public double inverse_cummulative_probability(double p){
		return lognorm.inverseCumulativeProbability(p);
	}
	
	public double expected_value(){
		return lognorm.inverseCumulativeProbability(0.5);
	}
	
	public void set_std(double s){
		std = s*mean;
		lognorm = new LogNormalDistribution(mean, std);
	}
	
	public void set_sample_durations(int sim_runs){
		sample_duration.clear();
		for(int i = 0; i<sim_runs;i++){
			sample_duration.add(random_sample());
		}
	}
	
}
