package hSPEA2;

import java.util.ArrayList;

public class GanttChart{
	
	public void print_small_schedule(ArrayList<Surgery>[][] schedule){
		System.out.println("\\begin{figure*}");
		System.out.println("\\centering");
		System.out.println("\\begin{ganttchart}[");
				System.out.println("x unit=0.1cm,");
				System.out.println("y unit chart=0.25cm,");
				System.out.println("canvas/.style={draw=none,fill=none}, % remove canvas borders, etc");
				System.out.println("%vgrid={*1{draw=black!12}},           % vertical gray lines every unit");
				System.out.println("vgrid={*{3}{draw=none},dotted},");
				System.out.println("hgrid={*{1}{draw=none},dotted},");
				System.out.println("inline,                              % draw bars inline");
				System.out.println("group/.style={draw=none,fill=none},  % remove group borders, etc");
				System.out.println("incomplete/.style={fill=red},");
				System.out.println("bar top shift=0.1,                   % give bar 10% padding top/bottom");
				System.out.println("bar height=0.8,                      % bar size 80% of vertical space");
				System.out.println("y unit title=0.5cm,                  % crop titles a little smaller");
				System.out.println("title/.style={draw=none,fill=none},  % remove title borders, etc");
				System.out.println("include title in canvas=false        % no vertical grid in title");
			System.out.println("]{-1}{84}");
			
			System.out.println("\\gantttitle{08:00}{8}");
			System.out.println("\\gantttitle{09:00}{8}");
			System.out.println("\\gantttitle{10:00}{8}");
			System.out.println("\\gantttitle{11:00}{8}");
			System.out.println("\\gantttitle{12:00}{8}");
			System.out.println("\\gantttitle{13:00}{8}");
			System.out.println("\\gantttitle{14:00}{8}");
			System.out.println("\\gantttitle{15:00}{8}");
			System.out.println("\\gantttitle{16:00}{8}");
			System.out.println("\\gantttitle{17:00}{8}");
			System.out.println("\\gantttitle{18:00}{8}");
			System.out.println("\\\\");
		
		//Monday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Monday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[0][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][0].get(i).surgeon)+"}]{\\tiny{"+schedule[0][0].get(i).surgery_id+"}}{"+start_format(schedule[0][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][0].get(i).scheduled_end_time)+"}");
		}
		if(schedule[0][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][0].get(schedule[0][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][0].get(schedule[0][0].size()-1).surgery_id+"}}{"+start_format(schedule[0][0].get(schedule[0][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][0].get(schedule[0][0].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[0][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][1].get(i).surgeon)+"}]{\\tiny{"+schedule[0][1].get(i).surgery_id+"}}{"+start_format(schedule[0][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][1].get(i).scheduled_end_time)+"}");
		}
		if(schedule[0][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][1].get(schedule[0][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][1].get(schedule[0][1].size()-1).surgery_id+"}}{"+start_format(schedule[0][1].get(schedule[0][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][1].get(schedule[0][1].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		//Tuesday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Tuesday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[1][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][0].get(i).surgeon)+"}]{\\tiny{"+schedule[1][0].get(i).surgery_id+"}}{"+start_format(schedule[1][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][0].get(i).scheduled_end_time)+"}");
		}
		if(schedule[1][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][0].get(schedule[1][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][0].get(schedule[1][0].size()-1).surgery_id+"}}{"+start_format(schedule[1][0].get(schedule[1][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][0].get(schedule[1][0].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[1][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][1].get(i).surgeon)+"}]{\\tiny{"+schedule[1][1].get(i).surgery_id+"}}{"+start_format(schedule[1][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][1].get(i).scheduled_end_time)+"}");
		}
		if(schedule[1][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][1].get(schedule[1][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][1].get(schedule[1][1].size()-1).surgery_id+"}}{"+start_format(schedule[1][1].get(schedule[1][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][1].get(schedule[1][1].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		//Wednesday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Wedneseday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[2][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][0].get(i).surgeon)+"}]{\\tiny{"+schedule[2][0].get(i).surgery_id+"}}{"+start_format(schedule[2][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][0].get(i).scheduled_end_time)+"}");
		}
		if(schedule[2][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][0].get(schedule[2][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][0].get(schedule[2][0].size()-1).surgery_id+"}}{"+start_format(schedule[2][0].get(schedule[2][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][0].get(schedule[2][0].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[2][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][1].get(i).surgeon)+"}]{\\tiny{"+schedule[2][1].get(i).surgery_id+"}}{"+start_format(schedule[2][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][1].get(i).scheduled_end_time)+"}");
		}
		if(schedule[2][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][1].get(schedule[2][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][1].get(schedule[2][1].size()-1).surgery_id+"}}{"+start_format(schedule[2][1].get(schedule[2][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][1].get(schedule[2][1].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		//Thursday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Thursday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[3][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][0].get(i).surgeon)+"}]{\\tiny{"+schedule[3][0].get(i).surgery_id+"}}{"+start_format(schedule[3][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][0].get(i).scheduled_end_time)+"}");
		}
		if(schedule[3][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][0].get(schedule[3][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][0].get(schedule[3][0].size()-1).surgery_id+"}}{"+start_format(schedule[3][0].get(schedule[3][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][0].get(schedule[3][0].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[3][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][1].get(i).surgeon)+"}]{\\tiny{"+schedule[3][1].get(i).surgery_id+"}}{"+start_format(schedule[3][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][1].get(i).scheduled_end_time)+"}");
		}
		if(schedule[3][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][1].get(schedule[3][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][1].get(schedule[3][1].size()-1).surgery_id+"}}{"+start_format(schedule[3][1].get(schedule[3][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][1].get(schedule[3][1].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		//Friday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Friday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[4][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][0].get(i).surgeon)+"}]{\\tiny{"+schedule[4][0].get(i).surgery_id+"}}{"+start_format(schedule[4][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][0].get(i).scheduled_end_time)+"}");
		}
		if(schedule[4][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][0].get(schedule[4][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][0].get(schedule[4][0].size()-1).surgery_id+"}}{"+start_format(schedule[4][0].get(schedule[4][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][0].get(schedule[4][0].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[4][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][1].get(i).surgeon)+"}]{\\tiny{"+schedule[4][1].get(i).surgery_id+"}}{"+start_format(schedule[4][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][1].get(i).scheduled_end_time)+"}");
		}
		if(schedule[4][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][1].get(schedule[4][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][1].get(schedule[4][1].size()-1).surgery_id+"}}{"+start_format(schedule[4][1].get(schedule[4][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][1].get(schedule[4][1].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		System.out.println("\\end{ganttchart}");

		System.out.println("\\caption[The best found solution of $I_1^{(1)}$]{Schedule of the smallest instance class.}");
		System.out.println("\\label{fig: instance 1 schedule}");
		System.out.println("\\end{figure*}");
	}
	
	public void print_small_simulated_schedule(ArrayList<Surgery>[][] schedule){
		System.out.println("\\begin{figure*}");
		System.out.println("\\centering");
		System.out.println("\\begin{ganttchart}[");
				System.out.println("x unit=0.1cm,");
				System.out.println("y unit chart=0.25cm,");
				System.out.println("canvas/.style={draw=none,fill=none}, % remove canvas borders, etc");
				System.out.println("%vgrid={*1{draw=black!12}},           % vertical gray lines every unit");
				System.out.println("vgrid={*{3}{draw=none},dotted},");
				System.out.println("hgrid={*{1}{draw=none},dotted},");
				System.out.println("inline,                              % draw bars inline");
				System.out.println("group/.style={draw=none,fill=none},  % remove group borders, etc");
				System.out.println("incomplete/.style={fill=red},");
				System.out.println("bar top shift=0.1,                   % give bar 10% padding top/bottom");
				System.out.println("bar height=0.8,                      % bar size 80% of vertical space");
				System.out.println("y unit title=0.5cm,                  % crop titles a little smaller");
				System.out.println("title/.style={draw=none,fill=none},  % remove title borders, etc");
				System.out.println("include title in canvas=false        % no vertical grid in title");
			System.out.println("]{-1}{84}");
			
			System.out.println("\\gantttitle{08:00}{8}");
			System.out.println("\\gantttitle{09:00}{8}");
			System.out.println("\\gantttitle{10:00}{8}");
			System.out.println("\\gantttitle{11:00}{8}");
			System.out.println("\\gantttitle{12:00}{8}");
			System.out.println("\\gantttitle{13:00}{8}");
			System.out.println("\\gantttitle{14:00}{8}");
			System.out.println("\\gantttitle{15:00}{8}");
			System.out.println("\\gantttitle{16:00}{8}");
			System.out.println("\\gantttitle{17:00}{8}");
			System.out.println("\\gantttitle{18:00}{8}");
			System.out.println("\\\\");
		
		//Monday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Monday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[0][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][0].get(i).surgeon)+"}]{\\tiny{"+schedule[0][0].get(i).surgery_id+"}}{"+start_format(schedule[0][0].get(i).realized_start_time)+"}{"+end_format(schedule[0][0].get(i).realized_end_time)+"}");
		}
		if(schedule[0][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][0].get(schedule[0][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][0].get(schedule[0][0].size()-1).surgery_id+"}}{"+start_format(schedule[0][0].get(schedule[0][0].size()-1).realized_start_time)+"}{"+end_format(schedule[0][0].get(schedule[0][0].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[0][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][1].get(i).surgeon)+"}]{\\tiny{"+schedule[0][1].get(i).surgery_id+"}}{"+start_format(schedule[0][1].get(i).realized_start_time)+"}{"+end_format(schedule[0][1].get(i).realized_end_time)+"}");
		}
		if(schedule[0][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][1].get(schedule[0][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][1].get(schedule[0][1].size()-1).surgery_id+"}}{"+start_format(schedule[0][1].get(schedule[0][1].size()-1).realized_start_time)+"}{"+end_format(schedule[0][1].get(schedule[0][1].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		//Tuesday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Tuesday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[1][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][0].get(i).surgeon)+"}]{\\tiny{"+schedule[1][0].get(i).surgery_id+"}}{"+start_format(schedule[1][0].get(i).realized_start_time)+"}{"+end_format(schedule[1][0].get(i).realized_end_time)+"}");
		}
		if(schedule[1][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][0].get(schedule[1][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][0].get(schedule[1][0].size()-1).surgery_id+"}}{"+start_format(schedule[1][0].get(schedule[1][0].size()-1).realized_start_time)+"}{"+end_format(schedule[1][0].get(schedule[1][0].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[1][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][1].get(i).surgeon)+"}]{\\tiny{"+schedule[1][1].get(i).surgery_id+"}}{"+start_format(schedule[1][1].get(i).realized_start_time)+"}{"+end_format(schedule[1][1].get(i).realized_end_time)+"}");
		}
		if(schedule[1][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][1].get(schedule[1][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][1].get(schedule[1][1].size()-1).surgery_id+"}}{"+start_format(schedule[1][1].get(schedule[1][1].size()-1).realized_start_time)+"}{"+end_format(schedule[1][1].get(schedule[1][1].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		//Wednesday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Wedneseday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[2][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][0].get(i).surgeon)+"}]{\\tiny{"+schedule[2][0].get(i).surgery_id+"}}{"+start_format(schedule[2][0].get(i).realized_start_time)+"}{"+end_format(schedule[2][0].get(i).realized_end_time)+"}");
		}
		if(schedule[2][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][0].get(schedule[2][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][0].get(schedule[2][0].size()-1).surgery_id+"}}{"+start_format(schedule[2][0].get(schedule[2][0].size()-1).realized_start_time)+"}{"+end_format(schedule[2][0].get(schedule[2][0].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[2][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][1].get(i).surgeon)+"}]{\\tiny{"+schedule[2][1].get(i).surgery_id+"}}{"+start_format(schedule[2][1].get(i).realized_start_time)+"}{"+end_format(schedule[2][1].get(i).realized_end_time)+"}");
		}
		if(schedule[2][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][1].get(schedule[2][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][1].get(schedule[2][1].size()-1).surgery_id+"}}{"+start_format(schedule[2][1].get(schedule[2][1].size()-1).realized_start_time)+"}{"+end_format(schedule[2][1].get(schedule[2][1].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		//Thursday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Thursday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[3][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][0].get(i).surgeon)+"}]{\\tiny{"+schedule[3][0].get(i).surgery_id+"}}{"+start_format(schedule[3][0].get(i).realized_start_time)+"}{"+end_format(schedule[3][0].get(i).realized_end_time)+"}");
		}
		if(schedule[3][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][0].get(schedule[3][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][0].get(schedule[3][0].size()-1).surgery_id+"}}{"+start_format(schedule[3][0].get(schedule[3][0].size()-1).realized_start_time)+"}{"+end_format(schedule[3][0].get(schedule[3][0].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[3][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][1].get(i).surgeon)+"}]{\\tiny{"+schedule[3][1].get(i).surgery_id+"}}{"+start_format(schedule[3][1].get(i).realized_start_time)+"}{"+end_format(schedule[3][1].get(i).realized_end_time)+"}");
		}
		if(schedule[3][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][1].get(schedule[3][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][1].get(schedule[3][1].size()-1).surgery_id+"}}{"+start_format(schedule[3][1].get(schedule[3][1].size()-1).realized_start_time)+"}{"+end_format(schedule[3][1].get(schedule[3][1].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		//Friday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Friday}} \\quad \\footnotesize{OR 4}}{0}{1}"); 
		for(int i=0; i<schedule[4][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][0].get(i).surgeon)+"}]{\\tiny{"+schedule[4][0].get(i).surgery_id+"}}{"+start_format(schedule[4][0].get(i).realized_start_time)+"}{"+end_format(schedule[4][0].get(i).realized_end_time)+"}");
		}
		if(schedule[4][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][0].get(schedule[4][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][0].get(schedule[4][0].size()-1).surgery_id+"}}{"+start_format(schedule[4][0].get(schedule[4][0].size()-1).realized_start_time)+"}{"+end_format(schedule[4][0].get(schedule[4][0].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[4][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][1].get(i).surgeon)+"}]{\\tiny{"+schedule[4][1].get(i).surgery_id+"}}{"+start_format(schedule[4][1].get(i).realized_start_time)+"}{"+end_format(schedule[4][1].get(i).realized_end_time)+"}");
		}
		if(schedule[4][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][1].get(schedule[4][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][1].get(schedule[4][1].size()-1).surgery_id+"}}{"+start_format(schedule[4][1].get(schedule[4][1].size()-1).realized_start_time)+"}{"+end_format(schedule[4][1].get(schedule[4][1].size()-1).realized_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		System.out.println("\\end{ganttchart}");

		System.out.println("\\caption[The best found solution of $I_1^{(1)}$]{Schedule of the smallest instance class.}");
		System.out.println("\\label{fig: instance 1 schedule}");
		System.out.println("\\end{figure*}");
	}
	
	public void print_medium_schedule(ArrayList<Surgery>[][] schedule){
		System.out.println("\\begin{figure*}");
		System.out.println("\\centering");
		System.out.println("\\begin{ganttchart}[");
				System.out.println("x unit=0.1cm,");
				System.out.println("y unit chart=0.25cm,");
				System.out.println("canvas/.style={draw=none,fill=none}, % remove canvas borders, etc");
				System.out.println("%vgrid={*1{draw=black!12}},           % vertical gray lines every unit");
				System.out.println("vgrid={*{3}{draw=none},dotted},");
				System.out.println("hgrid={*{1}{draw=none},dotted},");
				System.out.println("inline,                              % draw bars inline");
				System.out.println("group/.style={draw=none,fill=none},  % remove group borders, etc");
				System.out.println("incomplete/.style={fill=red},");
				System.out.println("bar top shift=0.1,                   % give bar 10% padding top/bottom");
				System.out.println("bar height=0.8,                      % bar size 80% of vertical space");
				System.out.println("y unit title=0.5cm,                  % crop titles a little smaller");
				System.out.println("title/.style={draw=none,fill=none},  % remove title borders, etc");
				System.out.println("include title in canvas=false        % no vertical grid in title");
			System.out.println("]{-1}{84}");
			
			System.out.println("\\gantttitle{08:00}{8}");
			System.out.println("\\gantttitle{09:00}{8}");
			System.out.println("\\gantttitle{10:00}{8}");
			System.out.println("\\gantttitle{11:00}{8}");
			System.out.println("\\gantttitle{12:00}{8}");
			System.out.println("\\gantttitle{13:00}{8}");
			System.out.println("\\gantttitle{14:00}{8}");
			System.out.println("\\gantttitle{15:00}{8}");
			System.out.println("\\gantttitle{16:00}{8}");
			System.out.println("\\gantttitle{17:00}{8}");
			System.out.println("\\gantttitle{18:00}{8}");
			System.out.println("\\\\");
		
		//Tuesday
		System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Tuesday}} \\quad \\footnotesize{OR 2}}{0}{1}"); 
		for(int i=0; i<schedule[0][0].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][0].get(i).surgeon)+"}]{\\tiny{"+schedule[0][0].get(i).surgery_id+"}}{"+start_format(schedule[0][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][0].get(i).scheduled_end_time)+"}");
		}
		if(schedule[0][0].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][0].get(schedule[0][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][0].get(schedule[0][0].size()-1).surgery_id+"}}{"+start_format(schedule[0][0].get(schedule[0][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][0].get(schedule[0][0].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 3}}{0}{1}");
		for(int i=0; i<schedule[0][1].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][1].get(i).surgeon)+"}]{\\tiny{"+schedule[0][1].get(i).surgery_id+"}}{"+start_format(schedule[0][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][1].get(i).scheduled_end_time)+"}");
		}
		if(schedule[0][1].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][1].get(schedule[0][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][1].get(schedule[0][1].size()-1).surgery_id+"}}{"+start_format(schedule[0][1].get(schedule[0][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][1].get(schedule[0][1].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 4}}{0}{1}");
		for(int i=0; i<schedule[0][2].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][2].get(i).surgeon)+"}]{\\tiny{"+schedule[0][2].get(i).surgery_id+"}}{"+start_format(schedule[0][2].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][2].get(i).scheduled_end_time)+"}");
		}
		if(schedule[0][2].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][2].get(schedule[0][2].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][2].get(schedule[0][2].size()-1).surgery_id+"}}{"+start_format(schedule[0][2].get(schedule[0][2].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][2].get(schedule[0][2].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
		for(int i=0; i<schedule[0][3].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][3].get(i).surgeon)+"}]{\\tiny{"+schedule[0][3].get(i).surgery_id+"}}{"+start_format(schedule[0][3].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][3].get(i).scheduled_end_time)+"}");
		}
		if(schedule[0][3].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][3].get(schedule[0][3].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][3].get(schedule[0][3].size()-1).surgery_id+"}}{"+start_format(schedule[0][3].get(schedule[0][3].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][3].get(schedule[0][3].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 6}}{0}{1}");
		for(int i=0; i<schedule[0][4].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][4].get(i).surgeon)+"}]{\\tiny{"+schedule[0][4].get(i).surgery_id+"}}{"+start_format(schedule[0][4].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][4].get(i).scheduled_end_time)+"}");
		}
		if(schedule[0][4].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][4].get(schedule[0][4].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][4].get(schedule[0][4].size()-1).surgery_id+"}}{"+start_format(schedule[0][4].get(schedule[0][4].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][4].get(schedule[0][4].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 7}}{0}{1}");
		for(int i=0; i<schedule[0][5].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][5].get(i).surgeon)+"}]{\\tiny{"+schedule[0][5].get(i).surgery_id+"}}{"+start_format(schedule[0][5].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][5].get(i).scheduled_end_time)+"}");
		}
		if(schedule[0][5].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][5].get(schedule[0][5].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][5].get(schedule[0][5].size()-1).surgery_id+"}}{"+start_format(schedule[0][5].get(schedule[0][5].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][5].get(schedule[0][5].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println();
		
		System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 8}}{0}{1}");
		for(int i=0; i<schedule[0][6].size()-1;i++){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][6].get(i).surgeon)+"}]{\\tiny{"+schedule[0][6].get(i).surgery_id+"}}{"+start_format(schedule[0][6].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][6].get(i).scheduled_end_time)+"}");
		}
		if(schedule[0][6].size()>0){
			System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][6].get(schedule[0][6].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][6].get(schedule[0][6].size()-1).surgery_id+"}}{"+start_format(schedule[0][6].get(schedule[0][6].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][6].get(schedule[0][6].size()-1).scheduled_end_time)+"}\\\\");
		}
		System.out.println("\\\\");
		System.out.println();
		
		//Wednesday
				System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Wednesday}} \\quad \\footnotesize{OR 2}}{0}{1}"); 
				for(int i=0; i<schedule[1][0].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][0].get(i).surgeon)+"}]{\\tiny{"+schedule[1][0].get(i).surgery_id+"}}{"+start_format(schedule[1][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][0].get(i).scheduled_end_time)+"}");
				}
				if(schedule[1][0].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][0].get(schedule[1][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][0].get(schedule[1][0].size()-1).surgery_id+"}}{"+start_format(schedule[1][0].get(schedule[1][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][0].get(schedule[1][0].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 3}}{0}{1}");
				for(int i=0; i<schedule[1][1].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][1].get(i).surgeon)+"}]{\\tiny{"+schedule[1][1].get(i).surgery_id+"}}{"+start_format(schedule[1][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][1].get(i).scheduled_end_time)+"}");
				}
				if(schedule[1][1].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][1].get(schedule[1][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][1].get(schedule[1][1].size()-1).surgery_id+"}}{"+start_format(schedule[1][1].get(schedule[1][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][1].get(schedule[1][1].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 4}}{0}{1}");
				for(int i=0; i<schedule[1][2].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][2].get(i).surgeon)+"}]{\\tiny{"+schedule[1][2].get(i).surgery_id+"}}{"+start_format(schedule[1][2].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][2].get(i).scheduled_end_time)+"}");
				}
				if(schedule[1][2].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][2].get(schedule[1][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][2].get(schedule[1][2].size()-1).surgery_id+"}}{"+start_format(schedule[1][2].get(schedule[1][2].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][2].get(schedule[1][2].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
				for(int i=0; i<schedule[1][3].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][3].get(i).surgeon)+"}]{\\tiny{"+schedule[1][3].get(i).surgery_id+"}}{"+start_format(schedule[1][3].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][3].get(i).scheduled_end_time)+"}");
				}
				if(schedule[1][3].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][3].get(schedule[1][3].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][3].get(schedule[1][3].size()-1).surgery_id+"}}{"+start_format(schedule[1][3].get(schedule[1][3].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][3].get(schedule[1][3].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 6}}{0}{1}");
				for(int i=0; i<schedule[1][4].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][4].get(i).surgeon)+"}]{\\tiny{"+schedule[1][4].get(i).surgery_id+"}}{"+start_format(schedule[1][4].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][4].get(i).scheduled_end_time)+"}");
				}
				if(schedule[1][4].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][4].get(schedule[1][4].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][4].get(schedule[1][4].size()-1).surgery_id+"}}{"+start_format(schedule[1][4].get(schedule[1][4].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][4].get(schedule[1][4].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 7}}{0}{1}");
				for(int i=0; i<schedule[1][5].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][5].get(i).surgeon)+"}]{\\tiny{"+schedule[1][5].get(i).surgery_id+"}}{"+start_format(schedule[1][5].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][5].get(i).scheduled_end_time)+"}");
				}
				if(schedule[1][5].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][5].get(schedule[1][5].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][5].get(schedule[1][5].size()-1).surgery_id+"}}{"+start_format(schedule[1][5].get(schedule[1][5].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][5].get(schedule[1][5].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 8}}{0}{1}");
				for(int i=0; i<schedule[1][6].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][6].get(i).surgeon)+"}]{\\tiny{"+schedule[1][6].get(i).surgery_id+"}}{"+start_format(schedule[1][6].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][6].get(i).scheduled_end_time)+"}");
				}
				if(schedule[1][6].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][6].get(schedule[1][6].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][6].get(schedule[1][6].size()-1).surgery_id+"}}{"+start_format(schedule[1][6].get(schedule[1][6].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][6].get(schedule[1][6].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println("\\\\");
				System.out.println();
		System.out.println("\\\\");
		System.out.println();
		
		//Thursday
				System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Thursday}} \\quad \\footnotesize{OR 2}}{0}{1}"); 
				for(int i=0; i<schedule[2][0].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][0].get(i).surgeon)+"}]{\\tiny{"+schedule[2][0].get(i).surgery_id+"}}{"+start_format(schedule[2][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][0].get(i).scheduled_end_time)+"}");
				}
				if(schedule[2][0].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][0].get(schedule[2][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][0].get(schedule[2][0].size()-1).surgery_id+"}}{"+start_format(schedule[2][0].get(schedule[2][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][0].get(schedule[2][0].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 3}}{0}{1}");
				for(int i=0; i<schedule[2][1].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][1].get(i).surgeon)+"}]{\\tiny{"+schedule[2][1].get(i).surgery_id+"}}{"+start_format(schedule[2][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][1].get(i).scheduled_end_time)+"}");
				}
				if(schedule[2][1].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][1].get(schedule[2][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][1].get(schedule[2][1].size()-1).surgery_id+"}}{"+start_format(schedule[2][1].get(schedule[2][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][1].get(schedule[2][1].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 4}}{0}{1}");
				for(int i=0; i<schedule[2][2].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][2].get(i).surgeon)+"}]{\\tiny{"+schedule[2][2].get(i).surgery_id+"}}{"+start_format(schedule[2][2].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][2].get(i).scheduled_end_time)+"}");
				}
				if(schedule[2][2].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][2].get(schedule[2][2].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][2].get(schedule[2][2].size()-1).surgery_id+"}}{"+start_format(schedule[2][2].get(schedule[2][2].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][2].get(schedule[2][2].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
				for(int i=0; i<schedule[2][3].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][3].get(i).surgeon)+"}]{\\tiny{"+schedule[2][3].get(i).surgery_id+"}}{"+start_format(schedule[2][3].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][3].get(i).scheduled_end_time)+"}");
				}
				if(schedule[2][3].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][3].get(schedule[2][3].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][3].get(schedule[2][3].size()-1).surgery_id+"}}{"+start_format(schedule[2][3].get(schedule[2][3].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][3].get(schedule[2][3].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 6}}{0}{1}");
				for(int i=0; i<schedule[2][4].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][4].get(i).surgeon)+"}]{\\tiny{"+schedule[2][4].get(i).surgery_id+"}}{"+start_format(schedule[2][4].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][4].get(i).scheduled_end_time)+"}");
				}
				if(schedule[2][4].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][4].get(schedule[2][4].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][4].get(schedule[2][4].size()-1).surgery_id+"}}{"+start_format(schedule[2][4].get(schedule[2][4].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][4].get(schedule[2][4].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 7}}{0}{1}");
				for(int i=0; i<schedule[2][5].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][5].get(i).surgeon)+"}]{\\tiny{"+schedule[2][5].get(i).surgery_id+"}}{"+start_format(schedule[2][5].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][5].get(i).scheduled_end_time)+"}");
				}
				if(schedule[2][5].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][5].get(schedule[2][5].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][5].get(schedule[2][5].size()-1).surgery_id+"}}{"+start_format(schedule[2][5].get(schedule[2][5].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][5].get(schedule[2][5].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println();
				
				System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 8}}{0}{1}");
				for(int i=0; i<schedule[2][6].size()-1;i++){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][6].get(i).surgeon)+"}]{\\tiny{"+schedule[2][6].get(i).surgery_id+"}}{"+start_format(schedule[2][6].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][6].get(i).scheduled_end_time)+"}");
				}
				if(schedule[2][6].size()>0){
					System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][6].get(schedule[2][6].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][6].get(schedule[2][6].size()-1).surgery_id+"}}{"+start_format(schedule[2][6].get(schedule[2][6].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][6].get(schedule[2][6].size()-1).scheduled_end_time)+"}\\\\");
				}
				System.out.println("\\\\");
				System.out.println();
		
		System.out.println("\\end{ganttchart}");

		System.out.println("\\caption[The best found solution of $I_1^{(1)}$]{Schedule of the smallest instance class.}");
		System.out.println("\\label{fig: instance 1 schedule}");
		System.out.println("\\end{figure*}");
	}
	
	public void print_large_schedule(ArrayList<Surgery>[][] schedule){
		System.out.println("\\begin{figure*}");
		System.out.println("\\centering");
		System.out.println("\\begin{ganttchart}[");
				System.out.println("x unit=0.1cm,");
				System.out.println("y unit chart=0.25cm,");
				System.out.println("canvas/.style={draw=none,fill=none}, % remove canvas borders, etc");
				System.out.println("%vgrid={*1{draw=black!12}},           % vertical gray lines every unit");
				System.out.println("vgrid={*{3}{draw=none},dotted},");
				System.out.println("hgrid={*{1}{draw=none},dotted},");
				System.out.println("inline,                              % draw bars inline");
				System.out.println("group/.style={draw=none,fill=none},  % remove group borders, etc");
				System.out.println("incomplete/.style={fill=red},");
				System.out.println("bar top shift=0.1,                   % give bar 10% padding top/bottom");
				System.out.println("bar height=0.8,                      % bar size 80% of vertical space");
				System.out.println("y unit title=0.5cm,                  % crop titles a little smaller");
				System.out.println("title/.style={draw=none,fill=none},  % remove title borders, etc");
				System.out.println("include title in canvas=false        % no vertical grid in title");
			System.out.println("]{-1}{84}");
			
			System.out.println("\\gantttitle{08:00}{8}");
			System.out.println("\\gantttitle{09:00}{8}");
			System.out.println("\\gantttitle{10:00}{8}");
			System.out.println("\\gantttitle{11:00}{8}");
			System.out.println("\\gantttitle{12:00}{8}");
			System.out.println("\\gantttitle{13:00}{8}");
			System.out.println("\\gantttitle{14:00}{8}");
			System.out.println("\\gantttitle{15:00}{8}");
			System.out.println("\\gantttitle{16:00}{8}");
			System.out.println("\\gantttitle{17:00}{8}");
			System.out.println("\\gantttitle{18:00}{8}");
			System.out.println("\\\\");
	
			
			//Monday
			System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Monday}} \\quad \\footnotesize{OR 1}}{0}{1}"); 
			for(int i=0; i<schedule[0][0].size()-1;i++){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][0].get(i).surgeon)+"}]{\\tiny{"+schedule[0][0].get(i).surgery_id+"}}{"+start_format(schedule[0][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][0].get(i).scheduled_end_time)+"}");
			}
			if(schedule[0][0].size()>0){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][0].get(schedule[0][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][0].get(schedule[0][0].size()-1).surgery_id+"}}{"+start_format(schedule[0][0].get(schedule[0][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][0].get(schedule[0][0].size()-1).scheduled_end_time)+"}\\\\");
			}
			System.out.println();
			
			System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 2}}{0}{1}");
			for(int i=0; i<schedule[0][1].size()-1;i++){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][1].get(i).surgeon)+"}]{\\tiny{"+schedule[0][1].get(i).surgery_id+"}}{"+start_format(schedule[0][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][1].get(i).scheduled_end_time)+"}");
			}
			if(schedule[0][1].size()>0){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][1].get(schedule[0][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][1].get(schedule[0][1].size()-1).surgery_id+"}}{"+start_format(schedule[0][1].get(schedule[0][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][1].get(schedule[0][1].size()-1).scheduled_end_time)+"}\\\\");
			}
			System.out.println();
			
			System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 3}}{0}{1}");
			for(int i=0; i<schedule[0][2].size()-1;i++){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][2].get(i).surgeon)+"}]{\\tiny{"+schedule[0][2].get(i).surgery_id+"}}{"+start_format(schedule[0][2].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][2].get(i).scheduled_end_time)+"}");
			}
			if(schedule[0][2].size()>0){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][2].get(schedule[0][2].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][2].get(schedule[0][2].size()-1).surgery_id+"}}{"+start_format(schedule[0][2].get(schedule[0][2].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][2].get(schedule[0][2].size()-1).scheduled_end_time)+"}\\\\");
			}
			System.out.println();
			
			System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 4}}{0}{1}");
			for(int i=0; i<schedule[0][3].size()-1;i++){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][3].get(i).surgeon)+"}]{\\tiny{"+schedule[0][3].get(i).surgery_id+"}}{"+start_format(schedule[0][3].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][3].get(i).scheduled_end_time)+"}");
			}
			if(schedule[0][3].size()>0){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][3].get(schedule[0][3].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][3].get(schedule[0][3].size()-1).surgery_id+"}}{"+start_format(schedule[0][3].get(schedule[0][3].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][3].get(schedule[0][3].size()-1).scheduled_end_time)+"}\\\\");
			}
			System.out.println();
			
			System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
			for(int i=0; i<schedule[0][4].size()-1;i++){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][4].get(i).surgeon)+"}]{\\tiny{"+schedule[0][4].get(i).surgery_id+"}}{"+start_format(schedule[0][4].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][4].get(i).scheduled_end_time)+"}");
			}
			if(schedule[0][4].size()>0){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][4].get(schedule[0][4].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][4].get(schedule[0][4].size()-1).surgery_id+"}}{"+start_format(schedule[0][4].get(schedule[0][4].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][4].get(schedule[0][4].size()-1).scheduled_end_time)+"}\\\\");
			}
			System.out.println();
			
			System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 6}}{0}{1}");
			for(int i=0; i<schedule[0][5].size()-1;i++){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][5].get(i).surgeon)+"}]{\\tiny{"+schedule[0][5].get(i).surgery_id+"}}{"+start_format(schedule[0][5].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][5].get(i).scheduled_end_time)+"}");
			}
			if(schedule[0][5].size()>0){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][5].get(schedule[0][5].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][5].get(schedule[0][5].size()-1).surgery_id+"}}{"+start_format(schedule[0][5].get(schedule[0][5].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][5].get(schedule[0][5].size()-1).scheduled_end_time)+"}\\\\");
			}
			System.out.println();
			
			System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 7}}{0}{1}");
			for(int i=0; i<schedule[0][6].size()-1;i++){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][6].get(i).surgeon)+"}]{\\tiny{"+schedule[0][6].get(i).surgery_id+"}}{"+start_format(schedule[0][6].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][6].get(i).scheduled_end_time)+"}");
			}
			if(schedule[0][6].size()>0){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][6].get(schedule[0][6].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][6].get(schedule[0][6].size()-1).surgery_id+"}}{"+start_format(schedule[0][6].get(schedule[0][6].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][6].get(schedule[0][6].size()-1).scheduled_end_time)+"}\\\\");
			}
			System.out.println();
			
			System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 8}}{0}{1}");
			for(int i=0; i<schedule[0][7].size()-1;i++){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][7].get(i).surgeon)+"}]{\\tiny{"+schedule[0][7].get(i).surgery_id+"}}{"+start_format(schedule[0][7].get(i).scheduled_start_time)+"}{"+end_format(schedule[0][7].get(i).scheduled_end_time)+"}");
			}
			if(schedule[0][7].size()>0){
				System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[0][7].get(schedule[0][7].size()-1).surgeon)+"}]{\\tiny{"+schedule[0][7].get(schedule[0][7].size()-1).surgery_id+"}}{"+start_format(schedule[0][7].get(schedule[0][7].size()-1).scheduled_start_time)+"}{"+end_format(schedule[0][7].get(schedule[0][7].size()-1).scheduled_end_time)+"}\\\\");
			}
			System.out.println("\\\\");
			System.out.println();
			
			//Tuesday
					System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Tuesday}} \\quad \\footnotesize{OR 1}}{0}{1}"); 
					for(int i=0; i<schedule[1][0].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][0].get(i).surgeon)+"}]{\\tiny{"+schedule[1][0].get(i).surgery_id+"}}{"+start_format(schedule[1][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][0].get(i).scheduled_end_time)+"}");
					}
					if(schedule[1][0].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][0].get(schedule[1][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][0].get(schedule[1][0].size()-1).surgery_id+"}}{"+start_format(schedule[1][0].get(schedule[1][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][0].get(schedule[1][0].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 2}}{0}{1}");
					for(int i=0; i<schedule[1][1].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][1].get(i).surgeon)+"}]{\\tiny{"+schedule[1][1].get(i).surgery_id+"}}{"+start_format(schedule[1][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][1].get(i).scheduled_end_time)+"}");
					}
					if(schedule[1][1].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][1].get(schedule[1][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][1].get(schedule[1][1].size()-1).surgery_id+"}}{"+start_format(schedule[1][1].get(schedule[1][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][1].get(schedule[1][1].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 3}}{0}{1}");
					for(int i=0; i<schedule[1][2].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][2].get(i).surgeon)+"}]{\\tiny{"+schedule[1][2].get(i).surgery_id+"}}{"+start_format(schedule[1][2].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][2].get(i).scheduled_end_time)+"}");
					}
					if(schedule[1][2].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][2].get(schedule[1][2].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][2].get(schedule[1][2].size()-1).surgery_id+"}}{"+start_format(schedule[1][2].get(schedule[1][2].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][2].get(schedule[1][2].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 4}}{0}{1}");
					for(int i=0; i<schedule[1][3].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][3].get(i).surgeon)+"}]{\\tiny{"+schedule[1][3].get(i).surgery_id+"}}{"+start_format(schedule[1][3].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][3].get(i).scheduled_end_time)+"}");
					}
					if(schedule[1][3].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][3].get(schedule[1][3].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][3].get(schedule[1][3].size()-1).surgery_id+"}}{"+start_format(schedule[1][3].get(schedule[1][3].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][3].get(schedule[1][3].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
					for(int i=0; i<schedule[1][4].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][4].get(i).surgeon)+"}]{\\tiny{"+schedule[1][4].get(i).surgery_id+"}}{"+start_format(schedule[1][4].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][4].get(i).scheduled_end_time)+"}");
					}
					if(schedule[1][4].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][4].get(schedule[1][4].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][4].get(schedule[1][4].size()-1).surgery_id+"}}{"+start_format(schedule[1][4].get(schedule[1][4].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][4].get(schedule[1][4].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 6}}{0}{1}");
					for(int i=0; i<schedule[1][5].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][5].get(i).surgeon)+"}]{\\tiny{"+schedule[1][5].get(i).surgery_id+"}}{"+start_format(schedule[1][5].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][5].get(i).scheduled_end_time)+"}");
					}
					if(schedule[1][5].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][5].get(schedule[1][5].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][5].get(schedule[1][5].size()-1).surgery_id+"}}{"+start_format(schedule[1][5].get(schedule[1][5].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][5].get(schedule[1][5].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 7}}{0}{1}");
					for(int i=0; i<schedule[1][6].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][6].get(i).surgeon)+"}]{\\tiny{"+schedule[1][6].get(i).surgery_id+"}}{"+start_format(schedule[1][6].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][6].get(i).scheduled_end_time)+"}");
					}
					if(schedule[1][6].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][6].get(schedule[1][6].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][6].get(schedule[1][6].size()-1).surgery_id+"}}{"+start_format(schedule[1][6].get(schedule[1][6].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][6].get(schedule[1][6].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 8}}{0}{1}");
					for(int i=0; i<schedule[1][7].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][7].get(i).surgeon)+"}]{\\tiny{"+schedule[1][7].get(i).surgery_id+"}}{"+start_format(schedule[1][7].get(i).scheduled_start_time)+"}{"+end_format(schedule[1][7].get(i).scheduled_end_time)+"}");
					}
					if(schedule[1][7].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[1][7].get(schedule[1][7].size()-1).surgeon)+"}]{\\tiny{"+schedule[1][7].get(schedule[1][7].size()-1).surgery_id+"}}{"+start_format(schedule[1][7].get(schedule[1][7].size()-1).scheduled_start_time)+"}{"+end_format(schedule[1][7].get(schedule[1][7].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println("\\\\");
					System.out.println();
			System.out.println("\\\\");
			System.out.println();
			
			//Wednesday
					System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Wednesday}} \\quad \\footnotesize{OR 1}}{0}{1}"); 
					for(int i=0; i<schedule[2][0].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][0].get(i).surgeon)+"}]{\\tiny{"+schedule[2][0].get(i).surgery_id+"}}{"+start_format(schedule[2][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][0].get(i).scheduled_end_time)+"}");
					}
					if(schedule[2][0].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][0].get(schedule[2][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][0].get(schedule[2][0].size()-1).surgery_id+"}}{"+start_format(schedule[2][0].get(schedule[2][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][0].get(schedule[2][0].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 2}}{0}{1}");
					for(int i=0; i<schedule[2][1].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][1].get(i).surgeon)+"}]{\\tiny{"+schedule[2][1].get(i).surgery_id+"}}{"+start_format(schedule[2][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][1].get(i).scheduled_end_time)+"}");
					}
					if(schedule[2][1].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][1].get(schedule[2][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][1].get(schedule[2][1].size()-1).surgery_id+"}}{"+start_format(schedule[2][1].get(schedule[2][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][1].get(schedule[2][1].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 3}}{0}{1}");
					for(int i=0; i<schedule[2][2].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][2].get(i).surgeon)+"}]{\\tiny{"+schedule[2][2].get(i).surgery_id+"}}{"+start_format(schedule[2][2].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][2].get(i).scheduled_end_time)+"}");
					}
					if(schedule[2][2].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][2].get(schedule[2][2].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][2].get(schedule[2][2].size()-1).surgery_id+"}}{"+start_format(schedule[2][2].get(schedule[2][2].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][2].get(schedule[2][2].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 4}}{0}{1}");
					for(int i=0; i<schedule[2][3].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][3].get(i).surgeon)+"}]{\\tiny{"+schedule[2][3].get(i).surgery_id+"}}{"+start_format(schedule[2][3].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][3].get(i).scheduled_end_time)+"}");
					}
					if(schedule[2][3].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][3].get(schedule[2][3].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][3].get(schedule[2][3].size()-1).surgery_id+"}}{"+start_format(schedule[2][3].get(schedule[2][3].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][3].get(schedule[2][3].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
					for(int i=0; i<schedule[2][4].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][4].get(i).surgeon)+"}]{\\tiny{"+schedule[2][4].get(i).surgery_id+"}}{"+start_format(schedule[2][4].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][4].get(i).scheduled_end_time)+"}");
					}
					if(schedule[2][4].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][4].get(schedule[2][4].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][4].get(schedule[2][4].size()-1).surgery_id+"}}{"+start_format(schedule[2][4].get(schedule[2][4].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][4].get(schedule[2][4].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 6}}{0}{1}");
					for(int i=0; i<schedule[2][5].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][5].get(i).surgeon)+"}]{\\tiny{"+schedule[2][5].get(i).surgery_id+"}}{"+start_format(schedule[2][5].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][5].get(i).scheduled_end_time)+"}");
					}
					if(schedule[2][5].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][5].get(schedule[2][5].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][5].get(schedule[2][5].size()-1).surgery_id+"}}{"+start_format(schedule[2][5].get(schedule[2][5].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][5].get(schedule[2][5].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 7}}{0}{1}");
					for(int i=0; i<schedule[2][6].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][6].get(i).surgeon)+"}]{\\tiny{"+schedule[2][6].get(i).surgery_id+"}}{"+start_format(schedule[2][6].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][6].get(i).scheduled_end_time)+"}");
					}
					if(schedule[2][6].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][6].get(schedule[2][6].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][6].get(schedule[2][6].size()-1).surgery_id+"}}{"+start_format(schedule[2][6].get(schedule[2][6].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][6].get(schedule[2][6].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 8}}{0}{1}");
					for(int i=0; i<schedule[2][7].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][7].get(i).surgeon)+"}]{\\tiny{"+schedule[2][7].get(i).surgery_id+"}}{"+start_format(schedule[2][7].get(i).scheduled_start_time)+"}{"+end_format(schedule[2][7].get(i).scheduled_end_time)+"}");
					}
					if(schedule[2][7].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[2][7].get(schedule[2][7].size()-1).surgeon)+"}]{\\tiny{"+schedule[2][7].get(schedule[2][7].size()-1).surgery_id+"}}{"+start_format(schedule[2][7].get(schedule[2][7].size()-1).scheduled_start_time)+"}{"+end_format(schedule[2][7].get(schedule[2][7].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println("\\\\");
					System.out.println();
			
					//Thursday
					System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Wednesday}} \\quad \\footnotesize{OR 1}}{0}{1}"); 
					for(int i=0; i<schedule[3][0].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][0].get(i).surgeon)+"}]{\\tiny{"+schedule[3][0].get(i).surgery_id+"}}{"+start_format(schedule[3][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][0].get(i).scheduled_end_time)+"}");
					}
					if(schedule[3][0].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][0].get(schedule[3][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][0].get(schedule[3][0].size()-1).surgery_id+"}}{"+start_format(schedule[3][0].get(schedule[3][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][0].get(schedule[3][0].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 2}}{0}{1}");
					for(int i=0; i<schedule[3][1].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][1].get(i).surgeon)+"}]{\\tiny{"+schedule[3][1].get(i).surgery_id+"}}{"+start_format(schedule[3][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][1].get(i).scheduled_end_time)+"}");
					}
					if(schedule[3][1].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][1].get(schedule[3][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][1].get(schedule[3][1].size()-1).surgery_id+"}}{"+start_format(schedule[3][1].get(schedule[3][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][1].get(schedule[3][1].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 3}}{0}{1}");
					for(int i=0; i<schedule[3][2].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][2].get(i).surgeon)+"}]{\\tiny{"+schedule[3][2].get(i).surgery_id+"}}{"+start_format(schedule[3][2].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][2].get(i).scheduled_end_time)+"}");
					}
					if(schedule[3][2].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][2].get(schedule[3][2].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][2].get(schedule[3][2].size()-1).surgery_id+"}}{"+start_format(schedule[3][2].get(schedule[3][2].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][2].get(schedule[3][2].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 4}}{0}{1}");
					for(int i=0; i<schedule[3][3].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][3].get(i).surgeon)+"}]{\\tiny{"+schedule[3][3].get(i).surgery_id+"}}{"+start_format(schedule[3][3].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][3].get(i).scheduled_end_time)+"}");
					}
					if(schedule[3][3].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][3].get(schedule[3][3].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][3].get(schedule[3][3].size()-1).surgery_id+"}}{"+start_format(schedule[3][3].get(schedule[3][3].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][3].get(schedule[3][3].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
					for(int i=0; i<schedule[3][4].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][4].get(i).surgeon)+"}]{\\tiny{"+schedule[3][4].get(i).surgery_id+"}}{"+start_format(schedule[3][4].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][4].get(i).scheduled_end_time)+"}");
					}
					if(schedule[3][4].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][4].get(schedule[3][4].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][4].get(schedule[3][4].size()-1).surgery_id+"}}{"+start_format(schedule[3][4].get(schedule[3][4].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][4].get(schedule[3][4].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 6}}{0}{1}");
					for(int i=0; i<schedule[3][5].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][5].get(i).surgeon)+"}]{\\tiny{"+schedule[3][5].get(i).surgery_id+"}}{"+start_format(schedule[3][5].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][5].get(i).scheduled_end_time)+"}");
					}
					if(schedule[3][5].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][5].get(schedule[3][5].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][5].get(schedule[3][5].size()-1).surgery_id+"}}{"+start_format(schedule[3][5].get(schedule[3][5].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][5].get(schedule[3][5].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 7}}{0}{1}");
					for(int i=0; i<schedule[3][6].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][6].get(i).surgeon)+"}]{\\tiny{"+schedule[3][6].get(i).surgery_id+"}}{"+start_format(schedule[3][6].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][6].get(i).scheduled_end_time)+"}");
					}
					if(schedule[3][6].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][6].get(schedule[3][6].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][6].get(schedule[3][6].size()-1).surgery_id+"}}{"+start_format(schedule[3][6].get(schedule[3][6].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][6].get(schedule[3][6].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 8}}{0}{1}");
					for(int i=0; i<schedule[3][7].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][7].get(i).surgeon)+"}]{\\tiny{"+schedule[3][7].get(i).surgery_id+"}}{"+start_format(schedule[3][7].get(i).scheduled_start_time)+"}{"+end_format(schedule[3][7].get(i).scheduled_end_time)+"}");
					}
					if(schedule[3][7].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[3][7].get(schedule[3][7].size()-1).surgeon)+"}]{\\tiny{"+schedule[3][7].get(schedule[3][7].size()-1).surgery_id+"}}{"+start_format(schedule[3][7].get(schedule[3][7].size()-1).scheduled_start_time)+"}{"+end_format(schedule[3][7].get(schedule[3][7].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println("\\\\");
					System.out.println();
					
					//Friday
					System.out.println("\\ganttgroup[inline=false]{\\textmd{\\footnotesize{Friday}} \\quad \\footnotesize{OR 1}}{0}{1}"); 
					for(int i=0; i<schedule[4][0].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][0].get(i).surgeon)+"}]{\\tiny{"+schedule[4][0].get(i).surgery_id+"}}{"+start_format(schedule[4][0].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][0].get(i).scheduled_end_time)+"}");
					}
					if(schedule[4][0].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][0].get(schedule[4][0].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][0].get(schedule[4][0].size()-1).surgery_id+"}}{"+start_format(schedule[4][0].get(schedule[4][0].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][0].get(schedule[4][0].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 2}}{0}{1}");
					for(int i=0; i<schedule[4][1].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][1].get(i).surgeon)+"}]{\\tiny{"+schedule[4][1].get(i).surgery_id+"}}{"+start_format(schedule[4][1].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][1].get(i).scheduled_end_time)+"}");
					}
					if(schedule[4][1].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][1].get(schedule[4][1].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][1].get(schedule[4][1].size()-1).surgery_id+"}}{"+start_format(schedule[4][1].get(schedule[4][1].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][1].get(schedule[4][1].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 3}}{0}{1}");
					for(int i=0; i<schedule[4][2].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][2].get(i).surgeon)+"}]{\\tiny{"+schedule[4][2].get(i).surgery_id+"}}{"+start_format(schedule[4][2].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][2].get(i).scheduled_end_time)+"}");
					}
					if(schedule[4][2].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][2].get(schedule[4][2].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][2].get(schedule[4][2].size()-1).surgery_id+"}}{"+start_format(schedule[4][2].get(schedule[4][2].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][2].get(schedule[4][2].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 4}}{0}{1}");
					for(int i=0; i<schedule[4][3].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][3].get(i).surgeon)+"}]{\\tiny{"+schedule[4][3].get(i).surgery_id+"}}{"+start_format(schedule[4][3].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][3].get(i).scheduled_end_time)+"}");
					}
					if(schedule[4][3].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][3].get(schedule[4][3].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][3].get(schedule[4][3].size()-1).surgery_id+"}}{"+start_format(schedule[4][3].get(schedule[4][3].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][3].get(schedule[4][3].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 5}}{0}{1}");
					for(int i=0; i<schedule[4][4].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][4].get(i).surgeon)+"}]{\\tiny{"+schedule[4][4].get(i).surgery_id+"}}{"+start_format(schedule[4][4].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][4].get(i).scheduled_end_time)+"}");
					}
					if(schedule[4][4].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][4].get(schedule[4][4].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][4].get(schedule[4][4].size()-1).surgery_id+"}}{"+start_format(schedule[4][4].get(schedule[4][4].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][4].get(schedule[4][4].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 6}}{0}{1}");
					for(int i=0; i<schedule[4][5].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][5].get(i).surgeon)+"}]{\\tiny{"+schedule[4][5].get(i).surgery_id+"}}{"+start_format(schedule[4][5].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][5].get(i).scheduled_end_time)+"}");
					}
					if(schedule[4][5].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][5].get(schedule[4][5].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][5].get(schedule[4][5].size()-1).surgery_id+"}}{"+start_format(schedule[4][5].get(schedule[4][5].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][5].get(schedule[4][5].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 7}}{0}{1}");
					for(int i=0; i<schedule[4][6].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][6].get(i).surgeon)+"}]{\\tiny{"+schedule[4][6].get(i).surgery_id+"}}{"+start_format(schedule[4][6].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][6].get(i).scheduled_end_time)+"}");
					}
					if(schedule[4][6].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][6].get(schedule[4][6].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][6].get(schedule[4][6].size()-1).surgery_id+"}}{"+start_format(schedule[4][6].get(schedule[4][6].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][6].get(schedule[4][6].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println();
					
					System.out.println("\\ganttgroup[inline=false]{\\footnotesize{OR 8}}{0}{1}");
					for(int i=0; i<schedule[4][7].size()-1;i++){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][7].get(i).surgeon)+"}]{\\tiny{"+schedule[4][7].get(i).surgery_id+"}}{"+start_format(schedule[4][7].get(i).scheduled_start_time)+"}{"+end_format(schedule[4][7].get(i).scheduled_end_time)+"}");
					}
					if(schedule[4][7].size()>0){
						System.out.println("\\ganttbar[bar/.append style={fill="+surgeon_color(schedule[4][7].get(schedule[4][7].size()-1).surgeon)+"}]{\\tiny{"+schedule[4][7].get(schedule[4][7].size()-1).surgery_id+"}}{"+start_format(schedule[4][7].get(schedule[4][7].size()-1).scheduled_start_time)+"}{"+end_format(schedule[4][7].get(schedule[4][7].size()-1).scheduled_end_time)+"}\\\\");
					}
					System.out.println("\\\\");
					System.out.println();
			
			
		System.out.println("\\end{ganttchart}");

		System.out.println("\\caption[The best found solution of $I_1^{(1)}$]{Schedule of the smallest instance class.}");
		System.out.println("\\label{fig: instance 1 schedule}");
		System.out.println("\\end{figure*}");
	}
	
	public String surgeon_color(int surgeon){
		if(surgeon == 0){
			return "lightgray";
		}
		else if(surgeon == 1){
			return "teal";
		}
		else if(surgeon == 2){
			return "green";
		}
		else if(surgeon == 3){
			return "yellow";
		}
		else if(surgeon == 4){
			return "red";
		}
		else if(surgeon == 5){
			return "orange";
		}
		else if(surgeon == 6){
			return "brown";
		}
		else if(surgeon == 7){
			return "pink";
		}
		else if(surgeon == 8){
			return "blue";
		}
		else if(surgeon == 9){
			return "lime";
		}
		else {
			return "cyan";
		}
	}
	
	public int start_format(double p){
		return (int)Math.round((p*15)/7.5+3);
	}
	
	public int end_format(double p){
		return (int)Math.round((p*15)/7.5+2);
	}
}