package hSPEA2;

public class LocalSearch {
	
	FileReader fr;
	
	public LocalSearch(FileReader f){
		fr = f;
	}
	
	public Individual variable_fitness_function_decent(Individual x){
		boolean stop = false;
		Individual best_individual = x.clone();
		while(!stop){
			stop = true;
			x = best_individual;
			for (int m = 0; m < 5; m++){
				Individual arg_min = sequential_best_VND(x, -1, m);
				if(arg_min.dominates(best_individual)){
					best_individual = arg_min;
					stop = false;
				}
			}
		}
		return best_individual;
	}
	
	public Individual random_neighbourhood_search(Individual x){
		double r = Math.random();
		if(r<0.33){
			return arg_min_switch_priority_neighbourhood(x, 0);
		}
		else if(r<0.66){
			return arg_min_switch_room_day_neighbourhood(x, 0);
		}
		else{
			return arg_min_new_room_day_neighbourhood(x,0);
		}
	}
	
	public Individual sequential_best_VND(Individual x, int max_iterations, int m){
		System.out.println("VND");
		boolean stop = false;
		int iteration =0;
		Individual best_individual = x.clone();
		String neighborhood = "Priority";
		while(!stop){
			x = best_individual;
			stop = true;
			int k = 0;
			while(k<3){
				
				Individual arg_min = arg_min(x, neighborhood, m);
				if(neighborhood == "Priority"){
					neighborhood = "New room day";
				}
				else if (neighborhood == "New room day"){
					neighborhood = "RoomDay";
				}
				else{
					neighborhood = "Priority";
				}
				if(arg_min.get_weighted_fitness()<(best_individual.get_weighted_fitness())){
				//if(arg_min.get_objective_values().get(m)<(best_individual.get_objective_values().get(m))){
					best_individual = arg_min;
					System.out.println(best_individual.get_objective_values().get(m));
					stop = false;
				}
				k+=1;
				iteration++;
				if(iteration>max_iterations){
					stop = true;
				}
			}
		}
		return best_individual;
	}
	
	public Individual arg_min(Individual x, String neighborhood, int m){
		if(neighborhood == "Priority"){
			return arg_min_switch_priority_neighbourhood(x, m);
		}
		else if(neighborhood == "New room day"){
			return arg_min_new_room_day_neighbourhood(x, m);
		}
		else return arg_min_switch_room_day_neighbourhood(x, m);
	}
	
	public Individual arg_min_switch_priority_neighbourhood(Individual x, int m){
		Individual arg_min = x.clone(); 
		for(int i = 0;i<fr.N;i++){
			for(int j = i+1;j<fr.N;j++){
				int priority1 = x.get_chromosome().get(i).getPriority();
				int priority2 = x.get_chromosome().get(j).getPriority();
				Individual n = x.clone();
				n.get_chromosome().get(i).setPriority(priority2);
				n.get_chromosome().get(j).setPriority(priority1);
				n.set_fitness(n.get_chromosome());
				//if(n.fitness_schema(fitness_index)<arg_min.fitness_schema(fitness_index)){
				if(n.get_weighted_fitness()<(arg_min.get_weighted_fitness())){
				//if(n.get_objective_values().get(m)<(arg_min.get_objective_values().get(m))){
					arg_min = n;
				}
			}
		}
		return arg_min;
	}
	
	public Individual arg_min_switch_room_day_neighbourhood(Individual x, int m){
		Individual arg_min = x.clone(); 
		for(int i = 0; i< fr.N; i++){
			for(int j = i+1;j<fr.N;j++){
				if(fr.specialty[i]==fr.specialty[j]){
					int day1 = x.get_chromosome().get(i).getDay();
					int day2 = x.get_chromosome().get(j).getDay();
					int room1 = x.get_chromosome().get(i).getRoom();
					int room2 = x.get_chromosome().get(j).getRoom();
					if(day1 != day2){
						Individual n = x.clone();
						n.get_chromosome().get(i).setDay(day2);
						n.get_chromosome().get(j).setDay(day1);
						n.get_chromosome().get(i).setRoom(room2);
						n.get_chromosome().get(j).setRoom(room1);
						n.set_fitness(n.get_chromosome());
						//if(n.fitness_schema(fitness_index)<arg_min.fitness_schema(fitness_index)){
						if(n.get_weighted_fitness()<(arg_min.get_weighted_fitness())){
						//if(n.get_objective_values().get(m)<arg_min.get_objective_values().get(m)){	
							arg_min = n;
						}
					}
				}
			}
		}
		return arg_min;
	}
	
	public Individual arg_min_new_room_day_neighbourhood(Individual x, int m){
		Individual arg_min = x.clone(); 
		for(int i = 0;i<fr.N;i++){
			int s = fr.specialty[i];
			for(int r=0;r<fr.R;r++){
				for(int d=0;d<fr.D;d++){
					if(fr.MSS[r][d]==s){
						Individual n = x.clone();
						n.get_chromosome().get(i).setDay(d);
						n.get_chromosome().get(i).setRoom(r);
						n.set_fitness(n.get_chromosome());
						//if(n.fitness_schema(fitness_index)<arg_min.fitness_schema(fitness_index)){
						if(n.get_weighted_fitness()<(arg_min.get_weighted_fitness())){
						//if (n.get_objective_values().get(m) < arg_min.get_objective_values().get(m)){
							arg_min = n;
						}
					}
				}
			}
		}
		return arg_min;
	}
}
